package com.sfnt.ldk.model;

import java.util.List;

public class Products {
    private int count;
    private List<ProductInfo> product;

    public int getCount()
    {
    	return count;
    }
    public void setCount(int count)
    {
    	this.count = count;
    }
    
    public List<ProductInfo> getFeature()
    {
    	return product;
    }
    public void setFeature(List<ProductInfo> product)
    {
    	this.product = product;
    }
    
	@Override
	public String toString() {
		StringBuilder sb = new StringBuilder();
		sb.append("{\n");
		sb.append("\"product\": [");
		for(int i = 0; i < product.size(); i++)
		{
			sb.append(toIndentedString(product.get(i)));
			if(i != product.size() -1 )
				sb.append(",\n");
		}
		sb.append("],\n");
        sb.append("\"count\":").append(product.size()).append("\n");
		sb.append("}");
		return sb.toString();
	}

	/**
	 * Convert the given object to string with each line indented by 4 spaces
	 * (except the first line).
	 */
	private String toIndentedString(java.lang.Object o) {
		if (o == null) {
			return "null";
		}
		return o.toString().replace("\n", "\n    ");
	}
}
